Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515699 - [abrt] shotwell: checkerboard_page_cursor_to_item(): shotwell killed by SIGABRT
Summary: [abrt] shotwell: checkerboard_page_cursor_to_item(): shotwell killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:03f492ef698968dd8c2fafb896d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 09:08 UTC by Yajo
Modified: 2018-11-30 18:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:22:58 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-21 09:08 UTC, Yajo
no flags Details
File: cgroup (deleted)
2017-11-21 09:08 UTC, Yajo
no flags Details
File: core_backtrace (deleted)
2017-11-21 09:08 UTC, Yajo
no flags Details
File: cpuinfo (deleted)
2017-11-21 09:08 UTC, Yajo
no flags Details
File: dso_list (deleted)
2017-11-21 09:08 UTC, Yajo
no flags Details
File: environ (deleted)
2017-11-21 09:08 UTC, Yajo
no flags Details
File: limits (deleted)
2017-11-21 09:08 UTC, Yajo
no flags Details
File: maps (deleted)
2017-11-21 09:08 UTC, Yajo
no flags Details
File: mountinfo (deleted)
2017-11-21 09:08 UTC, Yajo
no flags Details
File: open_fds (deleted)
2017-11-21 09:08 UTC, Yajo
no flags Details
File: proc_pid_status (deleted)
2017-11-21 09:09 UTC, Yajo
no flags Details
File: var_log_messages (deleted)
2017-11-21 09:09 UTC, Yajo
no flags Details

Description Yajo 2017-11-21 09:08:34 UTC
Description of problem:
I was just browsing pictures.

Version-Release number of selected component:
shotwell-0.27.1-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        shotwell
crash_function: checkerboard_page_cursor_to_item
executable:     /usr/bin/shotwell
journald_cursor: s=bd931293b97e4f9ba664c77b6c6e9928;i=fed1;b=0bd4dad4da9a4db485c16c7ee96206ff;m=617d95608;t=55e71977055a1;x=c498e54e6c7ac99f
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Yajo 2017-11-21 09:08:42 UTC
Created attachment 1356487 [details]
File: backtrace

Comment 2 Yajo 2017-11-21 09:08:44 UTC
Created attachment 1356488 [details]
File: cgroup

Comment 3 Yajo 2017-11-21 09:08:46 UTC
Created attachment 1356489 [details]
File: core_backtrace

Comment 4 Yajo 2017-11-21 09:08:47 UTC
Created attachment 1356490 [details]
File: cpuinfo

Comment 5 Yajo 2017-11-21 09:08:49 UTC
Created attachment 1356491 [details]
File: dso_list

Comment 6 Yajo 2017-11-21 09:08:51 UTC
Created attachment 1356492 [details]
File: environ

Comment 7 Yajo 2017-11-21 09:08:52 UTC
Created attachment 1356493 [details]
File: limits

Comment 8 Yajo 2017-11-21 09:08:55 UTC
Created attachment 1356494 [details]
File: maps

Comment 9 Yajo 2017-11-21 09:08:56 UTC
Created attachment 1356495 [details]
File: mountinfo

Comment 10 Yajo 2017-11-21 09:08:58 UTC
Created attachment 1356496 [details]
File: open_fds

Comment 11 Yajo 2017-11-21 09:09:00 UTC
Created attachment 1356497 [details]
File: proc_pid_status

Comment 12 Yajo 2017-11-21 09:09:01 UTC
Created attachment 1356498 [details]
File: var_log_messages

Comment 13 Ben Cotton 2018-11-27 18:05:56 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 18:22:58 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.